- name: Configure a Web server 
  hosts: servera.lab.example.com

  tasks:

    - name: Include tasks
      include_tasks: tasks/environment.yml
      vars:
        package: httpd
        service: httpd

    - name: Include firewall task
      include_tasks: tasks/firewall.yml
      vars:
        firewall_pkg: firewalld
        firewall_svc: firewalld
        rule:
          - http
          - https

    - name: import the placeholder task
      include_tasks: tasks/placeholder.yml
      vars:
        file: /var/www/html/index.html 

- name:
  import_playbook: plays/test.yml
  vars:
    url: 'http://servera.lab.example.com'

